/* 
 * @Program for creating an InlineStreamFilter.
 * InlineStreamFilter.java 
 * Author:-RoseIndia Team
 * Date:-19-July-2008
 */

import java.io.File;
import java.io.FileInputStream;
import javax.xml.stream.*;
import javax.xml.stream.XMLInputFactory;
import javax.xml.stream.XMLStreamReader;

public class InlineStreamFilter {

    public static void main(String[] args) throws Exception {
        File xmlfile = new File("Document4.xml");

        XMLInputFactory factory = XMLInputFactory.newInstance();
        XMLStreamReader reader = factory.createXMLStreamReader(new FileInputStream(xmlfile));
        reader = factory.createFilteredReader(reader, new StreamFilter() {

            public boolean accept(XMLStreamReader reader) {
                return true;
            }
        });
        System.out.println(reader.getLocation());

    }
}
